
From: "Randy.Dunlap" <rddunlap@osdl.org>

(resend)

Fix gcc warning:
drivers/isdn/i4l/isdn_ppp.c:1581: warning: large integer implicitly truncated to unsigned type
<seq> is unsigned int.

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/isdn/i4l/isdn_ppp.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/isdn/i4l/isdn_ppp.c~isdn-fix-gcc-data-type-size-warning drivers/isdn/i4l/isdn_ppp.c
--- 25/drivers/isdn/i4l/isdn_ppp.c~isdn-fix-gcc-data-type-size-warning	2005-03-10 19:37:54.000000000 -0800
+++ 25-akpm/drivers/isdn/i4l/isdn_ppp.c	2005-03-10 19:37:54.000000000 -0800
@@ -1577,7 +1577,7 @@ static int isdn_ppp_mp_init( isdn_net_lo
 		lp->next = lp->last = lp;	/* nobody else in a queue */
 		lp->netdev->pb->frags = NULL;
 		lp->netdev->pb->frames = 0;
-		lp->netdev->pb->seq = LONG_MAX;
+		lp->netdev->pb->seq = UINT_MAX;
 	}
 	lp->netdev->pb->ref_ct++;
 	
_
